	IFND	DOS_DOSEXTENS_I
DOS_DOSEXTENS_I	EQU	1
*	$Filename: dos/dosextens.i $
*	$Release: 2.04 Includes, V37.4 $
*	$Revision: 36.37 $
*	$Date: 91/11/08 $
*	DOS structures not needed for the casual AmigaDOS user
*	(C) Copyright 1985-1991 Commodore-Amiga, Inc.
*	    All Rights Reserved
*	This file was modified for the Optimizing Macro Assembler:
*	    AssignList was missing.  Has been added.
	IFND	EXEC_TYPES_I
	INCLUDE	"exec/types.i"
	ENDC
	IFND	EXEC_TASKS_I
	INCLUDE	"exec/tasks.i"
	ENDC
	IFND	EXEC_PORTS_I
	INCLUDE	"exec/ports.i"
	ENDC
	IFND	EXEC_LIBRARIES_I
	INCLUDE	"exec/libraries.i"
	ENDC
	IFND	EXEC_SEMAPHORES_I
	INCLUDE	"exec/semaphores.i"
	ENDC
	IFND	DEVICES_TIMER_I
	INCLUDE	"devices/timer.i"
	ENDC
	IFND	DOS_DOS_I
	INCLUDE	"dos/dos.i"
	ENDC
	RSRESET
Process	rs.b	0
pr_Task	rs.b	TC_SIZE
pr_MsgPort	rs.b	MP_SIZE
pr_Pad	rs	1
pr_SegList	rs	2
pr_StackSize	rs	2
pr_GlobVec	rs	2
pr_TaskNum	rs	2
pr_StackBase	rs	2
pr_Result2	rs	2
pr_CurrentDir	rs	2
pr_CIS	rs	2
pr_COS	rs	2
pr_ConsoleTask	rs	2
pr_FileSystemTask	rs	2
pr_CLI	rs	2
pr_ReturnAddr	rs	2
pr_PktWait	rs	2
pr_WindowPtr	rs	2
pr_HomeDir	rs	2
pr_Flags	rs	2
pr_ExitCode	rs	2
pr_ExitData	rs	2
pr_Arguments	rs	2
pr_LocalVars	rs.b	MLH_SIZE
pr_ShellPrivate	rs	2
pr_CES	rs	2
pr_SIZEOF	rs.b	0
	BITDEF	PR,FREESEGLIST,0
	BITDEF	PR,FREECURRDIR,1
	BITDEF	PR,FREECLI,2
	BITDEF	PR,CLOSEINPUT,3
	BITDEF	PR,CLOSEOUTPUT,4
	BITDEF	PR,FREEARGS,5
	RSRESET
FileHandle	rs.b	0
fh_Link	rs	2
fh_Interactive	rs	2
fh_Type	rs	2
fh_Buf	rs	2
fh_Pos	rs	2
fh_End	rs	2
fh_Funcs	rs	2
fh_Func1	EQU	fh_Funcs
fh_Func2	rs	2
fh_Func3	rs	2
fh_Args	rs	2
fh_Arg1	EQU	fh_Args
fh_Arg2	rs	2
fh_SIZEOF	rs.b	0
	RSRESET
DosPacket	rs.b	0
dp_Link	rs	2
dp_Port	rs	2
dp_Type	rs	2
dp_Res1	rs	2
dp_Res2	rs	2
dp_Arg1	rs	2
dp_Action	EQU	dp_Type
dp_Status	EQU	dp_Res1
dp_Status2	EQU	dp_Res2
dp_BufAddr	EQU	dp_Arg1
dp_Arg2	rs	2
dp_Arg3	rs	2
dp_Arg4	rs	2
dp_Arg5	rs	2
dp_Arg6	rs	2
dp_Arg7	rs	2
dp_SIZEOF	rs.b	0
	RSRESET
StandardPacket	rs.b	0
sp_Msg	rs.b	MN_SIZE
sp_Pkt	rs.b	dp_SIZEOF
sp_SIZEOF	rs.b	0
ACTION_NIL	EQU	0
ACTION_STARTUP	EQU	0
ACTION_GET_BLOCK	EQU	2
ACTION_SET_MAP	EQU	4
ACTION_DIE	EQU	5
ACTION_EVENT	EQU	6
ACTION_CURRENT_VOLUME	EQU	7
ACTION_LOCATE_OBJECT	EQU	8
ACTION_RENAME_DISK	EQU	9
ACTION_WRITE	EQU	'W'
ACTION_READ	EQU	'R'
ACTION_FREE_LOCK	EQU	15
ACTION_DELETE_OBJECT	EQU	16
ACTION_RENAME_OBJECT	EQU	17
ACTION_MORE_CACHE	EQU	18
ACTION_COPY_DIR	EQU	19
ACTION_WAIT_CHAR	EQU	20
ACTION_SET_PROTECT	EQU	21
ACTION_CREATE_DIR	EQU	22
ACTION_EXAMINE_OBJECT	EQU	23
ACTION_EXAMINE_NEXT	EQU	24
ACTION_DISK_INFO	EQU	25
ACTION_INFO	EQU	26
ACTION_FLUSH	EQU	27
ACTION_SET_COMMENT	EQU	28
ACTION_PARENT	EQU	29
ACTION_TIMER	EQU	30
ACTION_INHIBIT	EQU	31
ACTION_DISK_TYPE	EQU	32
ACTION_DISK_CHANGE	EQU	33
ACTION_SET_DATE	EQU	34
ACTION_SCREEN_MODE	EQU	994
ACTION_READ_RETURN	EQU	1001
ACTION_WRITE_RETURN	EQU	1002
ACTION_SEEK	EQU	1008
ACTION_FINDUPDATE	EQU	1004
ACTION_FINDINPUT	EQU	1005
ACTION_FINDOUTPUT	EQU	1006
ACTION_END	EQU	1007
ACTION_SET_FILE_SIZE	EQU	1022
ACTION_WRITE_PROTECT	EQU	1023
ACTION_SAME_LOCK	EQU	40
ACTION_CHANGE_SIGNAL	EQU	995
ACTION_FORMAT	EQU	1020
ACTION_MAKE_LINK	EQU	1021
ACTION_READ_LINK	EQU	1024
ACTION_FH_FROM_LOCK	EQU	1026
ACTION_IS_FILESYSTEM	EQU	1027
ACTION_CHANGE_MODE	EQU	1028
ACTION_COPY_DIR_FH	EQU	1030
ACTION_PARENT_FH	EQU	1031
ACTION_EXAMINE_ALL	EQU	1033
ACTION_EXAMINE_FH	EQU	1034
ACTION_LOCK_RECORD	EQU	2008
ACTION_FREE_RECORD	EQU	2009
ACTION_ADD_NOTIFY	EQU	4097
ACTION_REMOVE_NOTIFY	EQU	4098
ACTION_SERIALIZE_DISK	EQU	4200
	RSRESET
ErrorString	rs.b	0
estr_Nums	rs	2
estr_Strings	rs	2
ErrorString_SIZEOF	rs.b	0
	RSRESET
DosLibrary	rs.b	0
dl_lib	rs.b	LIB_SIZE
dl_Root	rs	2
dl_GV	rs	2
dl_A2	rs	2
dl_A5	rs	2
dl_A6	rs	2
dl_Errors	rs	2
dl_TimeReq	rs	2
dl_UtilityBase	rs	2
dl_IntuitionBase	rs	2
dl_SIZEOF	rs.b	0
	RSRESET
RootNode	rs.b	0
rn_TaskArray	rs	2
rn_ConsoleSegment	rs	2
rn_Time	rs.b	ds_SIZEOF
rn_RestartSeg	rs	2
rn_Info	rs	2
rn_FileHandlerSegment	rs	2
rn_CliList	rs.b	MLH_SIZE
rn_BootProc	rs	2
rn_ShellSegment	rs	2
rn_Flags	rs	2
rn_SIZEOF	rs.b	0
	BITDEF	RN,WILDSTAR,24
	BITDEF	RN,PRIVATE1,1
	RSRESET
CliProcList	rs.b	0
cpl_Node	rs.b	MLN_SIZE
cpl_First	rs	2
cpl_Array	rs	2
cpl_SIZEOF	rs.b	0
	RSRESET
DosInfo	rs.b	0
di_McName	rs	2
di_ResList	EQU	di_McName
di_DevInfo	rs	2
di_Devices	rs	2
di_Handlers	rs	2
di_NetHand	rs	2
di_DevLock	rs.b	SS_SIZE
di_EntryLock	rs.b	SS_SIZE
di_DeleteLock	rs.b	SS_SIZE
di_SIZEOF	rs.b	0
	RSRESET
Segment	rs.b	0
seg_Next	rs	2
seg_UC	rs	2
seg_Seg	rs	2
seg_Name	rs.b	4
seg_SIZEOF	rs.b	0
CMD_SYSTEM	EQU	-1
CMD_INTERNAL	EQU	-2
CMD_DISABLED	EQU	-999
	RSRESET
CommandLineInterface	rs.b	0
cli_Result2	rs	2
cli_SetName	rs	2
cli_CommandDir	rs	2
cli_ReturnCode	rs	2
cli_CommandName	rs	2
cli_FailLevel	rs	2
cli_Prompt	rs	2
cli_StandardInput	rs	2
cli_CurrentInput	rs	2
cli_CommandFile	rs	2
cli_Interactive	rs	2
cli_Background	rs	2
cli_CurrentOutput	rs	2
cli_DefaultStack	rs	2
cli_StandardOutput	rs	2
cli_Module	rs	2
cli_SIZEOF	rs.b	0
	RSRESET
DevList	rs.b	0
dl_Next	rs	2
dl_Type	rs	2
dl_Task	rs	2
dl_Lock	rs	2
dl_VolumeDate	rs.b	ds_SIZEOF
dl_LockList	rs	2
dl_DiskType	rs	2
dl_unused	rs	2
dl_Name	rs	2
DevList_SIZEOF	rs.b	0
	RSRESET
DevInfo	rs.b	0
dvi_Next	rs	2
dvi_Type	rs	2
dvi_Task	rs	2
dvi_Lock	rs	2
dvi_Handler	rs	2
dvi_Stacksize	rs	2
dvi_Priority	rs	2
dvi_Startup	rs	2
dvi_SegList	rs	2
dvi_GlobVec	rs	2
dvi_Name	rs	2
dvi_SIZEOF	rs.b	0
	RSRESET
DosList	rs.b	0
dol_Next	rs	2
dol_Type	rs	2
dol_Task	rs	2
dol_Lock	rs	2
dol_VolumeDate	rs.b	0
dol_AssignName	rs.b	0
dol_Handler	rs	2
dol_List	rs.b	0
dol_StackSize	rs	2
dol_Priority	rs	2
dol_LockList	rs.b	0
dol_Startup	rs	2
dol_DiskType	rs.b	0
dol_SegList	rs	2
dol_GlobVec	rs	2
dol_Name	rs	2
DosList_SIZEOF	rs.b	0
	RSRESET
AssignList	rs.b	0
al_Next	rs	2
al_Lock	rs	2
al_SIZEOF	rs.b	0
DLT_DEVICE	EQU	0
DLT_DIRECTORY	EQU	1
DLT_VOLUME	EQU	2
DLT_LATE	EQU	3
DLT_NONBINDING	EQU	4
DLT_PRIVATE	EQU	-1
	RSRESET
DevProc	rs.b	0
dvp_Port	rs	2
dvp_Lock	rs	2
dvp_Flags	rs	2
dvp_DevNode	rs	2
dvp_SIZEOF	rs.b	0
	BITDEF	DVP,UNLOCK,0
	BITDEF	DVP,ASSIGN,1
	BITDEF	LD,DEVICES,2
	BITDEF	LD,VOLUMES,3
	BITDEF	LD,ASSIGNS,4
	BITDEF	LD,ENTRY,5
	BITDEF	LD,DELETE,6
	BITDEF	LD,READ,0
	BITDEF	LD,WRITE,1
LDF_ALL	EQU	LDF_DEVICES!LDF_VOLUMES!LDF_ASSIGNS
	RSRESET
FileLock	rs.b	0
fl_Link	rs	2
fl_Key	rs	2
fl_Access	rs	2
fl_Task	rs	2
fl_Volume	rs	2
fl_SIZEOF	rs.b	0
REPORT_STREAM	EQU	0
REPORT_TASK	EQU	1
REPORT_LOCK	EQU	2
REPORT_VOLUME	EQU	3
REPORT_INSERT	EQU	4
ABORT_DISK_ERROR	EQU	296
ABORT_BUSY	EQU	288
RUN_EXECUTE	EQU	-1
RUN_SYSTEM	EQU	-2
RUN_SYSTEM_ASYNCH	EQU	-3
ST_ROOT	EQU	1
ST_USERDIR	EQU	2
ST_SOFTLINK	EQU	3
ST_LINKDIR	EQU	4
ST_FILE	EQU	-3
ST_LINKFILE	EQU	-4
ST_PIPEFILE	EQU	-5
	ENDC
