	IFND	EXEC_ABLES_I
EXEC_ABLES_I	EQU	1
*	$Filename: exec/ables.i $
*	$Release: 2.04 Includes, V37.4 $
*	$Revision: 36.6 $
*	$Date: 90/05/10 $
*	Task switch and interrupt control macros
*	(C) Copyright 1985-1991 Commodore-Amiga, Inc.
*	    All Rights Reserved
	IFND	EXEC_TYPES_I
	INCLUDE	"exec/types.i"
	ENDC
	IFND	EXEC_EXECBASE_I
	INCLUDE	"exec/execbase.i"
	ENDC
INT_ABLES	MACRO
	XREF	_intena
	ENDM
DISABLE	MACRO
	IFC	'\1',''
	MOVE.W	#$04000,_intena
	ADDQ.B	#1,IDNestCnt(A6)
	MEXIT
	ENDC
	IFC	'\2','NOFETCH'
	MOVE.W	#$04000,_intena
	ADDQ.B	#1,IDNestCnt(\1)
	MEXIT
	ENDC
	IFNC	'\1',''
	MOVE.L	4,\1
	MOVE.W	#$04000,_intena
	ADDQ.B	#1,IDNestCnt(\1)
	MEXIT
	ENDC
	ENDM
ENABLE	MACRO
	IFC	'\1',''
	SUBQ.B	#1,IDNestCnt(A6)
	BGE.S	ENABLE\@
	MOVE.W	#$0C000,_intena
ENABLE\@	
	MEXIT
	ENDC
	IFC	'\2','NOFETCH'
	SUBQ.B	#1,IDNestCnt(\1)
	BGE.S	ENABLE\@
	MOVE.W	#$0C000,_intena
ENABLE\@	
	MEXIT
	ENDC
	IFNC	'\1',''
	MOVE.L	4,\1
	SUBQ.B	#1,IDNestCnt(\1)
	BGE.S	ENABLE\@
	MOVE.W	#$0C000,_intena
ENABLE\@	
	MEXIT
	ENDC
	ENDM
TASK_ABLES	MACRO
	XREF	_LVOPermit
	ENDM
FORBID	MACRO
	IFC	'\1',''
	ADDQ.B	#1,TDNestCnt(A6)
	MEXIT
	ENDC
	IFC	'\2','NOFETCH'
	ADDQ.B	#1,TDNestCnt(\1)
	MEXIT
	ENDC
	IFNC	'\1',''
	MOVE.L	4,\1
	ADDQ.B	#1,TDNestCnt(\1)
	MEXIT
	ENDC
	ENDM
PERMIT	MACRO
	IFC	'\1',''
	JSR	_LVOPermit(A6)
	MEXIT
	ENDC
	IFC	'\2','NOFETCH'
	EXG.L	A6,\1
	JSR	_LVOPermit(A6)
	EXG.L	A6,\1
	MEXIT
	ENDC
	IFNC	'\1',''
	MOVE.L	A6,-(SP)
	MOVE.L	4,A6
	JSR	_LVOPermit(A6)
	MOVE.L	(SP)+,A6
	MEXIT
	ENDC
	ENDM
	ENDC
