	IFND	GRAPHICS_MONITOR_I
GRAPHICS_MONITOR_I	EQU	1
*	$Filename: graphics/monitor.i $
*	$Release: 2.04 Includes, V37.4 $
*	$Revision: 37.0 $
*	$Date: 91/01/07 $
*	graphics monitorspec definitions
*	(C) Copyright 1985-1991 Commodore-Amiga, Inc.
*	    All Rights Reserved
*	This file was modified for the Optimizing Macro Assembler:
*	    Several ECS relevant definitions were missing and have been
*	    added.  Also now includes hardware/custom.i.
	IFND	EXEC_TYPES_I
	include	'exec/types.i'
	ENDC
	IFND	GRAPHICS_GFX_I
	include	'graphics/gfx.i'
	ENDC
	IFND	GRAPHICS_GFXNODES_I
	include	'graphics/gfxnodes.i'
	ENDC
	IFND	GRAPHICS_VIEW_I
	include	'graphics/view.i'
	ENDC
	IFND	EXEC_SEMAPHORES_I
	include	'exec/semaphores.i'
	ENDC
	IFND	HARDWARE_CUSTOM_I
	INCLUDE	"hardware/custom.i"
	ENDC
	RSRESET
AnalogSignalInterval	rs.b	0
asi_Start	rs	1
asi_Stop	rs	1
asi_SIZEOF	rs.b	0
	RSRESET
SpecialMonitor	rs.b	XLN_SIZE
spm_Flags	rs	1
spm_do_monitor	rs	2
spm_reserved1	rs	2
spm_reserved2	rs	2
spm_reserved3	rs	2
spm_hblank	rs.b	asi_SIZEOF
spm_vblank	rs.b	asi_SIZEOF
spm_hsync	rs.b	asi_SIZEOF
spm_vsync	rs.b	asi_SIZEOF
spm_SIZEOF	rs.b	0
	RSRESET
MonitorSpec	rs.b	XLN_SIZE
ms_Flags	rs	1
ms_ratioh	rs	2
ms_ratiov	rs	2
ms_total_rows	rs	1
ms_total_colorclocks	rs	1
ms_DeniseMaxDisplayColumn	rs	1
ms_BeamCon0	rs	1
ms_min_row	rs	1
ms_Special	rs	2
ms_OpenCount	rs	1
ms_transform	rs	2
ms_translate	rs	2
ms_scale	rs	2
ms_xoffset	rs	1
ms_yoffset	rs	1
ms_LegalView	rs.b	ra_SIZEOF
ms_maxoscan	rs	2
ms_videoscan	rs	2
ms_DeniseMinDisplayColumn	rs	1
ms_DisplayCompatible	rs	1
ms_DisplayInfoDataBase	rs.b	LH_SIZE
ms_DIDBSemaphore	rs.b	SS_SIZE
ms_reserved00	rs	2
ms_reserved01	rs	2
ms_SIZEOF	rs.b	0
	BITDEF	MS,REQUEST_NTSC,0
	BITDEF	MS,REQUEST_PAL,1
	BITDEF	MS,REQUEST_SPECIAL,2
	BITDEF	MS,REQUEST_A2024,3
TO_MONITOR	EQU	0
FROM_MONITOR	EQU	1
STANDARD_XOFFSET	EQU	9
STANDARD_YOFFSET	EQU	0
DEFAULT_MONITOR_NAME	MACRO
	dc.b	"default.monitor",0
	ds.w	0
	ENDM
NTSC_MONITOR_NAME	MACRO
	dc.b	"ntsc.monitor",0
	ds.w	0
	ENDM
PAL_MONITOR_NAME	MACRO
	dc.b	"pal.monitor",0
	ds.w	0
	ENDM
STANDARD_MONITOR_MASK	EQU	MSF_REQUEST_NTSC!MSF_REQUEST_PAL
STANDARD_NTSC_ROWS	EQU	262
STANDARD_PAL_ROWS	EQU	312
STANDARD_COLORCLOCKS	EQU	226
STANDARD_DENISE_MAX	EQU	455
STANDARD_DENISE_MIN	EQU	93
STANDARD_NTSC_BEAMCON	EQU	0
STANDARD_PAL_BEAMCON	EQU	DISPLAYPAL
SPECIAL_BEAMCON	EQU	VARVBLANK!LOLDIS!VARVSYNC!VARBEAM!CSBLANK
MIN_NTSC_ROW	EQU	21
MIN_PAL_ROW	EQU	29
STANDARD_VIEW_X	EQU	$81
STANDARD_VIEW_Y	EQU	$2C
STANDARD_HBSTRT	EQU	6
STANDARD_HSSTRT	EQU	$B
STANDARD_HSSTOP	EQU	$1C
STANDARD_HBSTOP	EQU	$2C
STANDARD_VBSTRT	EQU	$122
STANDARD_VSSTRT	EQU	$2A6
STANDARD_VSSTOP	EQU	$3AA
STANDARD_VBSTOP	EQU	$1066
VGA_COLORCLOCKS	EQU	STANDARD_COLORCLOCKS/2
VGA_TOTAL_ROWS	EQU	STANDARD_NTSC_ROWS*2
VGA_DENISE_MIN	EQU	59
MIN_VGA_ROW	EQU	29
VGA_HBSTRT	EQU	8
VGA_HSSTRT	EQU	$E
VGA_HSSTOP	EQU	$1C
VGA_HBSTOP	EQU	$1E
VGA_VBSTRT	EQU	0
VGA_VSSTRT	EQU	$153
VGA_VSSTOP	EQU	$235
VGA_VBSTOP	EQU	$CCD
VGA_MONITOR_NAME	MACRO
	dc.b	"vga.monitor",0
	ds.w	0
	ENDM
VGA70_COLORCLOCKS	EQU	STANDARD_COLORCLOCKS/2
VGA70_TOTAL_ROWS	EQU	449
VGA70_DENISE_MIN	EQU	59
MIN_VGA70_ROW	EQU	35
VGA70_HBSTRT	EQU	8
VGA70_HSSTRT	EQU	$E
VGA70_HSSTOP	EQU	$1C
VGA70_HBSTOP	EQU	$1E
VGA70_VBSTRT	EQU	0
VGA70_VSSTRT	EQU	$2A6
VGA70_VSSTOP	EQU	$388
VGA70_VBSTOP	EQU	$F73
VGA70_BEAMCON	EQU	SPECIAL_BEAMCON^VSYNCTRUE
VGA70_MONITOR_NAME	MACRO
	dc.b	"vga70.monitor",0
	ds.w	0
	ENDM
BROADCAST_HBSTRT	EQU	1
BROADCAST_HSSTRT	EQU	6
BROADCAST_HSSTOP	EQU	$17
BROADCAST_HBSTOP	EQU	$27
BROADCAST_VBSTRT	EQU	0
BROADCAST_VSSTRT	EQU	$2A6
BROADCAST_VSSTOP	EQU	$54C
BROADCAST_VBSTOP	EQU	$1C40
BROADCAST_BEAMCON	EQU	LOLDIS!CSBLANK
RATIO_FIXEDPART	EQU	4
RATIO_UNITY	EQU	1<<RATIO_FIXEDPART
	ENDC
