	IFND	DEVICES_PRTBASE_I
DEVICES_PRTBASE_I	EQU	1
*	$Filename: devices/prtbase.i $
*	$Release: 2.04 Includes, V37.4 $
*	$Revision: 1.9 $
*	$Date: 90/07/26 $
*	printer.device base structure definitions
*	(C) Copyright 1987-1991 Commodore-Amiga, Inc.
*	    All Rights Reserved
	IFND	EXEC_TYPES_I
	INCLUDE	"exec/types.i"
	ENDC
	IFND	EXEC_NODES_I
	INCLUDE	"exec/nodes.i"
	ENDC
	IFND	EXEC_LISTS_I
	INCLUDE	"exec/lists.i"
	ENDC
	IFND	EXEC_PORTS_I
	INCLUDE	"exec/ports.i"
	ENDC
	IFND	EXEC_LIBRARIES_I
	INCLUDE	"exec/libraries.i"
	ENDC
	IFND	EXEC_TASKS_I
	INCLUDE	"exec/tasks.i"
	ENDC
	IFND	DEVICES_PARALLEL_I
	INCLUDE	"devices/parallel.i"
	ENDC
	IFND	DEVICES_SERIAL_I
	INCLUDE	"devices/serial.i"
	ENDC
	IFND	DEVICES_TIMER_I
	INCLUDE	"devices/timer.i"
	ENDC
	IFND	LIBRARIES_DOSEXTENS_I
	INCLUDE	"libraries/dosextens.i"
	ENDC
	IFND	INTUITION_INTUITION_I
	INCLUDE	"intuition/intuition.i"
	ENDC
	RSRESET
DeviceData	rs.b	LIB_SIZE
dd_Segment	rs	2
dd_ExecBase	rs	2
dd_CmdVectors	rs	2
dd_CmdBytes	rs	2
dd_NumCommands	rs	1
dd_SIZEOF	rs.b	0
du_Flags	EQU	LN_PRI
	BITDEF	IO,QUEUED,4
	BITDEF	IO,CURRENT,5
	BITDEF	IO,SERVICING,6
	BITDEF	IO,DONE,7
	BITDEF	DU,STOPPED,0
P_PRIORITY	EQU	0
P_OLDSTKSIZE	EQU	$800
P_STKSIZE	EQU	$1000
P_BUFSIZE	EQU	256
P_SAFESIZE	EQU	128
	BITDEF	P,IOR0,0
	BITDEF	P,IOR1,1
	BITDEF	P,EXPUNGED,7
	RSRESET
PrinterData	rs.b	dd_SIZEOF
pd_Unit	rs.b	MP_SIZE
pd_PrinterSegment	rs	2
pd_PrinterType	rs	1
pd_SegmentData	rs	2
pd_PrintBuf	rs	2
pd_PWrite	rs	2
pd_PBothReady	rs	2
	IFGT	IOEXTPar_SIZE-IOEXTSER_SIZE
pd_IOR0	rs.b	IOEXTPar_SIZE
pd_IOR1	rs.b	IOEXTPar_SIZE
	ENDC
	IFLE	IOEXTPar_SIZE-IOEXTSER_SIZE
pd_IOR0	rs.b	IOEXTSER_SIZE
pd_IOR1	rs.b	IOEXTSER_SIZE
	ENDC
pd_TIOR	rs.b	IOTV_SIZE
pd_IORPort	rs.b	MP_SIZE
pd_TC	rs.b	TC_SIZE
pd_OldStk	rs.b	P_OLDSTKSIZE
pd_Flags	rs.b	1
pd_pad	rs.b	1
pd_Preferences	rs.b	pf_SIZEOF
pd_PWaitEnabled	rs.b	1
pd_Pad1	rs.b	1
pd_Stk	rs.b	P_STKSIZE
pd_SIZEOF	rs.b	0
	BITDEF	PPC,GFX,0
	BITDEF	PPC,COLOR,1
PPC_BWALPHA	EQU	0
PPC_BWGFX	EQU	1
PPC_COLORALPHA	EQU	2
PPC_COLORGFX	EQU	3
PCC_BW	EQU	1
PCC_YMC	EQU	2
PCC_YMC_BW	EQU	3
PCC_YMCB	EQU	4
PCC_4COLOR	EQU	4
PCC_ADDITIVE	EQU	8
PCC_WB	EQU	9
PCC_BGR	EQU	$a
PCC_BGR_WB	EQU	$b
PCC_BGRW	EQU	$c
PCC_MULTI_PASS	EQU	$10
	RSRESET
PrinterExtendedData	rs.b	0
ped_PrinterName	rs	2
ped_Init	rs	2
ped_Expunge	rs	2
ped_Open	rs	2
ped_Close	rs	2
ped_PrinterClass	rs.b	1
ped_ColorClass	rs.b	1
ped_MaxColumns	rs.b	1
ped_NumCharSets	rs.b	1
ped_NumRows	rs	1
ped_MaxXDots	rs	2
ped_MaxYDots	rs	2
ped_XDotsInch	rs	1
ped_YDotsInch	rs	1
ped_Commands	rs	2
ped_DoSpecial	rs	2
ped_Render	rs	2
ped_TimeoutSecs	rs	2
ped_8BitChars	rs	2
ped_PrintMode	rs	2
ped_ConvFunv	rs	2
ped_SIZEOF	rs.b	0
	RSRESET
PrinterSegment	rs.b	0
ps_NextSegment	rs	2
ps_runAlert	rs	2
ps_Version	rs	1
ps_Revision	rs	1
ps_PED	rs.b	0
	ENDC
