	IFND	DEVICES_TRACKDISK_I
DEVICES_TRACKDISK_I	EQU	1
*	$Filename: devices/trackdisk.i $
*	$Release: 2.04 Includes, V37.4 $
*	$Revision: 33.12 $
*	$Date: 90/11/28 $
*	trackdisk device structure and value definitions
*	(C) Copyright 1985-1991 Commodore-Amiga, Inc.
*	    All Rights Reserved
	IFND	EXEC_IO_I
	INCLUDE	"exec/io.i"
	ENDC
	IFND	EXEC_DEVICES_I
	INCLUDE	"exec/devices.i"
	ENDC
NUMSECS	EQU	11
NUMUNITS	EQU	4
TD_SECTOR	EQU	512
TD_SECSHIFT	EQU	9
TD_NAME	MACRO
	DC.B	'trackdisk.device',0
	DS.W	0
	ENDM
	BITDEF	TD,EXTCOM,15
	DEVINIT
	DEVCMD	TD_MOTOR
	DEVCMD	TD_SEEK
	DEVCMD	TD_FORMAT
	DEVCMD	TD_REMOVE
	DEVCMD	TD_CHANGENUM
	DEVCMD	TD_CHANGESTATE
	DEVCMD	TD_PROTSTATUS
	DEVCMD	TD_RAWREAD
	DEVCMD	TD_RAWWRITE
	DEVCMD	TD_GETDRIVETYPE
	DEVCMD	TD_GETNUMTRACKS
	DEVCMD	TD_ADDCHANGEINT
	DEVCMD	TD_REMCHANGEINT
	DEVCMD	TD_GETGEOMETRY
	DEVCMD	TD_EJECT
	DEVCMD	TD_LASTCOMM
ETD_WRITE	EQU	CMD_WRITE!TDF_EXTCOM
ETD_READ	EQU	CMD_READ!TDF_EXTCOM
ETD_MOTOR	EQU	TD_MOTOR!TDF_EXTCOM
ETD_SEEK	EQU	TD_SEEK!TDF_EXTCOM
ETD_FORMAT	EQU	TD_FORMAT!TDF_EXTCOM
ETD_UPDATE	EQU	CMD_UPDATE!TDF_EXTCOM
ETD_CLEAR	EQU	CMD_CLEAR!TDF_EXTCOM
ETD_RAWREAD	EQU	TD_RAWREAD!TDF_EXTCOM
ETD_RAWWRITE	EQU	TD_RAWWRITE!TDF_EXTCOM
	RSRESET
IOEXTTD	rs.b	IOSTD_SIZE
IOTD_COUNT	rs	2
IOTD_SECLABEL	rs	2
IOTD_SIZE	rs.b	0
	RSRESET
DriveGeometry	rs.b	0
dg_SectorSize	rs	2
dg_TotalSectors	rs	2
dg_Cylinders	rs	2
dg_CylSectors	rs	2
dg_Heads	rs	2
dg_TrackSectors	rs	2
dg_BufMemType	rs	2
dg_DeviceType	rs.b	1
dg_Flags	rs.b	1
dg_Reserved	rs	1
dg_SIZEOF	rs.b	0
DG_DIRECT_ACCESS	EQU	0
DG_SEQUENTIAL_ACCESS	EQU	1
DG_PRINTER	EQU	2
DG_PROCESSOR	EQU	3
DG_WORM	EQU	4
DG_CDROM	EQU	5
DG_SCANNER	EQU	6
DG_OPTICAL_DISK	EQU	7
DG_MEDIUM_CHANGER	EQU	8
DG_COMMUNICATION	EQU	9
DG_UNKNOWN	EQU	31
	BITDEF	DG,REMOVABLE,0
	BITDEF	IOTD,INDEXSYNC,4
	BITDEF	IOTD,WORDSYNC,5
TD_LABELSIZE	EQU	16
	BITDEF	TD,ALLOW_NON_3_5,0
DRIVE3_5	EQU	1
DRIVE5_25	EQU	2
DRIVE3_5_150RPM	EQU	3
TDERR_NotSpecified	EQU	20
TDERR_NoSecHdr	EQU	21
TDERR_BadSecPreamble	EQU	22
TDERR_BadSecID	EQU	23
TDERR_BadHdrSum	EQU	24
TDERR_BadSecSum	EQU	25
TDERR_TooFewSecs	EQU	26
TDERR_BadSecHdr	EQU	27
TDERR_WriteProt	EQU	28
TDERR_DiskChanged	EQU	29
TDERR_SeekError	EQU	30
TDERR_NoMem	EQU	31
TDERR_BadUnitNum	EQU	32
TDERR_BadDriveType	EQU	33
TDERR_DriveInUse	EQU	34
TDERR_PostReset	EQU	35
	RSRESET
TDU_PUBLICUNIT	rs.b	UNIT_SIZE
TDU_COMP01TRACK	rs	1
TDU_COMP10TRACK	rs	1
TDU_COMP11TRACK	rs	1
TDU_STEPDELAY	rs	2
TDU_SETTLEDELAY	rs	2
TDU_RETRYCNT	rs.b	1
TDU_PUBFLAGS	rs.b	1
TDU_CURRTRK	rs	1
TDU_CALIBRATEDELAY	rs	2
TDU_COUNTER	rs	2
TDU_PUBLICUNITSIZE	rs.b	0
	BITDEF	TDP,NOCLICK,0
	ENDC
