	IFND	DOS_DOS_I
DOS_DOS_I	EQU	1
*	$Filename: dos/dos.i $
*	$Release: 2.04 Includes, V37.4 $
*	$Revision: 36.24 $
*	$Date: 91/05/16 $
*	Standard asm header for AmigaDOS
*	(C) Copyright 1985-1991 Commodore-Amiga, Inc.
*	    All Rights Reserved
	IFND	EXEC_TYPES_I
	INCLUDE	"exec/types.i"
	ENDC
DOSNAME	MACRO
	DC.B	'dos.library',0
	ENDM
DOSTRUE	EQU	-1
DOSFALSE	EQU	0
MODE_OLDFILE	EQU	1005
MODE_NEWFILE	EQU	1006
MODE_READWRITE	EQU	1004
OFFSET_BEGINNING	EQU	-1
OFFSET_CURRENT	EQU	0
OFFSET_END	EQU	1
OFFSET_BEGINING	EQU	OFFSET_BEGINNING
BITSPERBYTE	EQU	8
BYTESPERLONG	EQU	4
BITSPERLONG	EQU	32
MAXINT	EQU	$7FFFFFFF
MININT	EQU	$80000000
SHARED_LOCK	EQU	-2
ACCESS_READ	EQU	-2
EXCLUSIVE_LOCK	EQU	-1
ACCESS_WRITE	EQU	-1
	RSRESET
DateStamp	rs.b	0
ds_Days	rs	2
ds_Minute	rs	2
ds_Tick	rs	2
ds_SIZEOF	rs.b	0
TICKS_PER_SECOND	EQU	50
	RSRESET
FileInfoBlock	rs.b	0
fib_DiskKey	rs	2
fib_DirEntryType	rs	2
fib_FileName	rs.b	108
fib_Protection	rs	2
fib_EntryType	rs	2
fib_Size	rs	2
fib_NumBlocks	rs	2
fib_DateStamp	rs.b	ds_SIZEOF
fib_Comment	rs.b	80
fib_Reserved	rs.b	36
fib_SIZEOF	rs.b	0
	BITDEF	FIB,SCRIPT,6
	BITDEF	FIB,PURE,5
	BITDEF	FIB,ARCHIVE,4
	BITDEF	FIB,READ,3
	BITDEF	FIB,WRITE,2
	BITDEF	FIB,EXECUTE,1
	BITDEF	FIB,DELETE,0
FAULT_MAX	EQU	82
BPTR	MACRO
	LONG	\1
	ENDM
BSTR	MACRO
	LONG	\1
	ENDM
	RSRESET
InfoData	rs.b	0
id_NumSoftErrors	rs	2
id_UnitNumber	rs	2
id_DiskState	rs	2
id_NumBlocks	rs	2
id_NumBlocksUsed	rs	2
id_BytesPerBlock	rs	2
id_DiskType	rs	2
id_VolumeNode	rs	2
id_InUse	rs	2
id_SIZEOF	rs.b	0
ID_WRITE_PROTECTED	EQU	80
ID_VALIDATING	EQU	81
ID_VALIDATED	EQU	82
ID_NO_DISK_PRESENT	EQU	-1
ID_UNREADABLE_DISK	EQU	'BAD'<<8
ID_NOT_REALLY_DOS	EQU	'NDOS'
ID_DOS_DISK	EQU	'DOS'<<8
ID_FFS_DISK	EQU	('DOS'<<8)!1
ID_INTER_DOS_DISK	EQU	('DOS'<<8)!2
ID_INTER_FFS_DISK	EQU	('DOS'<<8)!3
ID_KICKSTART_DISK	EQU	'KICK'
ID_MSDOS_DISK	EQU	'MSD'<<8
ERROR_NO_FREE_STORE	EQU	103
ERROR_TASK_TABLE_FULL	EQU	105
ERROR_BAD_TEMPLATE	EQU	114
ERROR_BAD_NUMBER	EQU	115
ERROR_REQUIRED_ARG_MISSING	EQU	116
ERROR_KEY_NEEDS_ARG	EQU	117
ERROR_TOO_MANY_ARGS	EQU	118
ERROR_UNMATCHED_QUOTES	EQU	119
ERROR_LINE_TOO_LONG	EQU	120
ERROR_FILE_NOT_OBJECT	EQU	121
ERROR_INVALID_RESIDENT_LIBRARY	EQU	122
ERROR_NO_DEFAULT_DIR	EQU	201
ERROR_OBJECT_IN_USE	EQU	202
ERROR_OBJECT_EXISTS	EQU	203
ERROR_DIR_NOT_FOUND	EQU	204
ERROR_OBJECT_NOT_FOUND	EQU	205
ERROR_BAD_STREAM_NAME	EQU	206
ERROR_OBJECT_TOO_LARGE	EQU	207
ERROR_ACTION_NOT_KNOWN	EQU	209
ERROR_INVALID_COMPONENT_NAME	EQU	210
ERROR_INVALID_LOCK	EQU	211
ERROR_OBJECT_WRONG_TYPE	EQU	212
ERROR_DISK_NOT_VALIDATED	EQU	213
ERROR_DISK_WRITE_PROTECTED	EQU	214
ERROR_RENAME_ACROSS_DEVICES	EQU	215
ERROR_DIRECTORY_NOT_EMPTY	EQU	216
ERROR_TOO_MANY_LEVELS	EQU	217
ERROR_DEVICE_NOT_MOUNTED	EQU	218
ERROR_SEEK_ERROR	EQU	219
ERROR_COMMENT_TOO_BIG	EQU	220
ERROR_DISK_FULL	EQU	221
ERROR_DELETE_PROTECTED	EQU	222
ERROR_WRITE_PROTECTED	EQU	223
ERROR_READ_PROTECTED	EQU	224
ERROR_NOT_A_DOS_DISK	EQU	225
ERROR_NO_DISK	EQU	226
ERROR_NO_MORE_ENTRIES	EQU	232
ERROR_IS_SOFT_LINK	EQU	233
ERROR_OBJECT_LINKED	EQU	234
ERROR_BAD_HUNK	EQU	235
ERROR_NOT_IMPLEMENTED	EQU	236
ERROR_RECORD_NOT_LOCKED	EQU	240
ERROR_LOCK_COLLISION	EQU	241
ERROR_LOCK_TIMEOUT	EQU	242
ERROR_UNLOCK_ERROR	EQU	243
RETURN_OK	EQU	0
RETURN_WARN	EQU	5
RETURN_ERROR	EQU	10
RETURN_FAIL	EQU	20
	BITDEF	SIGBREAK,CTRL_C,12
	BITDEF	SIGBREAK,CTRL_D,13
	BITDEF	SIGBREAK,CTRL_E,14
	BITDEF	SIGBREAK,CTRL_F,15
LOCK_DIFFERENT	EQU	-1
LOCK_SAME	EQU	0
LOCK_SAME_VOLUME	EQU	1
LOCK_SAME_HANDLER	EQU	LOCK_SAME_VOLUME
CHANGE_LOCK	EQU	0
CHANGE_FH	EQU	1
LINK_HARD	EQU	0
LINK_SOFT	EQU	1
ITEM_EQUAL	EQU	-2
ITEM_ERROR	EQU	-1
ITEM_NOTHING	EQU	0
ITEM_UNQUOTED	EQU	1
ITEM_QUOTED	EQU	2
DOS_FILEHANDLE	EQU	0
DOS_EXALLCONTROL	EQU	1
DOS_FIB	EQU	2
DOS_STDPKT	EQU	3
DOS_CLI	EQU	4
DOS_RDARGS	EQU	5
	ENDC
