	IFND	EXEC_ALERTS_I
EXEC_ALERTS_I	EQU	1
*	$Filename: exec/alerts.i $
*	$Release: 2.04 Includes, V37.4 $
*	$Revision: 36.17 $
*	$Date: 91/01/12 $
*	Alert numbers, as displayed by system crashes.
*	(C) Copyright 1985-1991 Commodore-Amiga, Inc.
*	    All Rights Reserved
ALERT	MACRO
	movem.l	d7/a5/a6,-(sp)
	move.l	#\1,d7
	IFNC	'\2',''
	lea.l	\2,a5
	ENDC
	move.l	4,a6
	jsr	_LVOAlert(a6)
	movem.l	(sp)+,d7/a5/a6
	ENDM
DEADALERT	MACRO
	move.l	#\1,d7
	IFNC	'\2',''
	lea.l	\2,a5
	ENDC
	move.l	4,a6
	jsr	_LVOAlert(a6)
	ENDM
AT_DeadEnd	EQU	$80000000
AT_Recovery	EQU	0
AG_NoMemory	EQU	$10000
AG_MakeLib	EQU	$20000
AG_OpenLib	EQU	$30000
AG_OpenDev	EQU	$40000
AG_OpenRes	EQU	$50000
AG_IOError	EQU	$60000
AG_NoSignal	EQU	$70000
AG_BadParm	EQU	$80000
AG_CloseLib	EQU	$90000
AG_CloseDev	EQU	$A0000
AG_ProcCreate	EQU	$B0000
AO_ExecLib	EQU	$8001
AO_GraphicsLib	EQU	$8002
AO_LayersLib	EQU	$8003
AO_Intuition	EQU	$8004
AO_MathLib	EQU	$8005
AO_DOSLib	EQU	$8007
AO_RAMLib	EQU	$8008
AO_IconLib	EQU	$8009
AO_ExpansionLib	EQU	$800A
AO_DiskfontLib	EQU	$800B
AO_UtilityLib	EQU	$800C
AO_AudioDev	EQU	$8010
AO_ConsoleDev	EQU	$8011
AO_GamePortDev	EQU	$8012
AO_KeyboardDev	EQU	$8013
AO_TrackDiskDev	EQU	$8014
AO_TimerDev	EQU	$8015
AO_CIARsrc	EQU	$8020
AO_DiskRsrc	EQU	$8021
AO_MiscRsrc	EQU	$8022
AO_BootStrap	EQU	$8030
AO_Workbench	EQU	$8031
AO_DiskCopy	EQU	$8032
AO_GadTools	EQU	$8033
AO_Unknown	EQU	$8035
AN_ExecLib	EQU	$1000000
AN_ExcptVect	EQU	$1000001
AN_BaseChkSum	EQU	$1000002
AN_LibChkSum	EQU	$1000003
AN_MemCorrupt	EQU	$81000005
AN_IntrMem	EQU	$81000006
AN_InitAPtr	EQU	$1000007
AN_SemCorrupt	EQU	$1000008
AN_FreeTwice	EQU	$1000009
AN_BogusExcpt	EQU	$8100000A
AN_IOUsedTwice	EQU	$100000B
AN_MemoryInsane	EQU	$100000C
AN_IOAfterClose	EQU	$100000D
AN_StackProbe	EQU	$100000E
AN_BadFreeAddr	EQU	$100000F
AN_GraphicsLib	EQU	$2000000
AN_GfxNoMem	EQU	$82010000
AN_GfxNoMemMspc	EQU	$82010001
AN_LongFrame	EQU	$82010006
AN_ShortFrame	EQU	$82010007
AN_TextTmpRas	EQU	$2010009
AN_BltBitMap	EQU	$8201000A
AN_RegionMemory	EQU	$8201000B
AN_MakeVPort	EQU	$82010030
AN_GfxNewError	EQU	$200000C
AN_GfxFreeError	EQU	$200000D
AN_GfxNoLCM	EQU	$82011234
AN_ObsoleteFont	EQU	$2000401
AN_LayersLib	EQU	$3000000
AN_LayersNoMem	EQU	$83010000
AN_Intuition	EQU	$4000000
AN_GadgetType	EQU	$84000001
AN_BadGadget	EQU	$4000001
AN_CreatePort	EQU	$84010002
AN_ItemAlloc	EQU	$4010003
AN_SubAlloc	EQU	$4010004
AN_PlaneAlloc	EQU	$84010005
AN_ItemBoxTop	EQU	$84000006
AN_OpenScreen	EQU	$84010007
AN_OpenScrnRast	EQU	$84010008
AN_SysScrnType	EQU	$84000009
AN_AddSWGadget	EQU	$8401000A
AN_OpenWindow	EQU	$8401000B
AN_BadState	EQU	$8400000C
AN_BadMessage	EQU	$8400000D
AN_WeirdEcho	EQU	$8400000E
AN_NoConsole	EQU	$8400000F
AN_MathLib	EQU	$5000000
AN_DOSLib	EQU	$7000000
AN_StartMem	EQU	$7010001
AN_EndTask	EQU	$7000002
AN_QPktFail	EQU	$7000003
AN_AsyncPkt	EQU	$7000004
AN_FreeVec	EQU	$7000005
AN_DiskBlkSeq	EQU	$7000006
AN_BitMap	EQU	$7000007
AN_KeyFree	EQU	$7000008
AN_BadChkSum	EQU	$7000009
AN_DiskError	EQU	$700000A
AN_KeyRange	EQU	$700000B
AN_BadOverlay	EQU	$700000C
AN_BadInitFunc	EQU	$700000D
AN_FileReclosed	EQU	$700000E
AN_RAMLib	EQU	$8000000
AN_BadSegList	EQU	$8000001
AN_IconLib	EQU	$9000000
AN_ExpansionLib	EQU	$A000000
AN_BadExpansionFree	EQU	$A000001
AN_DiskfontLib	EQU	$B000000
AN_AudioDev	EQU	$10000000
AN_ConsoleDev	EQU	$11000000
AN_NoWindow	EQU	$11000001
AN_GamePortDev	EQU	$12000000
AN_KeyboardDev	EQU	$13000000
AN_TrackDiskDev	EQU	$14000000
AN_TDCalibSeek	EQU	$14000001
AN_TDDelay	EQU	$14000002
AN_TimerDev	EQU	$15000000
AN_TMBadReq	EQU	$15000001
AN_TMBadSupply	EQU	$15000002
AN_CIARsrc	EQU	$20000000
AN_DiskRsrc	EQU	$21000000
AN_DRHasDisk	EQU	$21000001
AN_DRIntNoAct	EQU	$21000002
AN_MiscRsrc	EQU	$22000000
AN_BootStrap	EQU	$30000000
AN_BootError	EQU	$30000001
AN_Workbench	EQU	$31000000
AN_NoFonts	EQU	$B1000001
AN_WBBadStartupMsg1	EQU	$31000001
AN_WBBadStartupMsg2	EQU	$31000002
AN_WBBadIOMsg	EQU	$31000003
AN_WBInitPotionAllocDrawer	EQU	$B1010004
AN_WBCreateWBMenusCreateMenus1	EQU	$B1010005
AN_WBCreateWBMenusCreateMenus2	EQU	$B1010006
AN_WBLayoutWBMenusLayoutMenus	EQU	$B1010007
AN_WBAddToolMenuItem	EQU	$B1010008
AN_WBReLayoutToolMenu	EQU	$B1010009
AN_WBinitTimer	EQU	$B101000A
AN_WBInitLayerDemon	EQU	$B101000B
AN_WBinitWbGels	EQU	$B101000C
AN_WBInitScreenAndWindows1	EQU	$B101000D
AN_WBInitScreenAndWindows2	EQU	$B101000E
AN_WBInitScreenAndWindows3	EQU	$B101000F
AN_WBMAlloc	EQU	$B1010010
AN_DiskCopy	EQU	$32000000
AN_GadTools	EQU	$33000000
AN_UtilityLib	EQU	$34000000
AN_Unknown	EQU	$35000000
	ENDC
