	IFND	GRAPHICS_DISPLAYINFO_I
GRAPHICS_DISPLAYINFO_I	EQU	1
*	$Filename: graphics/displayinfo.i $
*	$Release: 2.04 Includes, V37.4 $
*	$Revision: 37.7 $
*	$Date: 91/11/08 $
*	include define file for display control registers
*	(C) Copyright 1985-1991 Commodore-Amiga, Inc.
*	    All Rights Reserved
	IFND	EXEC_TYPES_I
	include	'exec/types.i'
	ENDC
	IFND	GRAPHICS_GFX_I
	include	'graphics/gfx.i'
	ENDC
	IFND	GRAPHICS_MONITOR_I
	include	'graphics/monitor.i'
	ENDC
	IFND	UTILITY_TAGITEM_I
	include	'utility/tagitem.i'
	ENDC
DTAG_DISP	EQU	$80000000
DTAG_DIMS	EQU	$80001000
DTAG_MNTR	EQU	$80002000
DTAG_NAME	EQU	$80003000
	RSRESET
QueryHeader	rs.b	0
qh_StructID	rs	2
qh_DisplayID	rs	2
qh_SkipID	rs	2
qh_Length	rs	2
qh_SIZEOF	rs.b	0
	RSRESET
DisplayInfo	rs.b	qh_SIZEOF
dis_NotAvailable	rs	1
dis_PropertyFlags	rs	2
dis_Resolution	rs.b	tpt_SIZEOF
dis_PixelSpeed	rs	1
dis_NumStdSprites	rs	1
dis_PaletteRange	rs	1
dis_SpriteResolution	rs.b	tpt_SIZEOF
dis_pad	rs.b	4
dis_reserved	rs.b	8
dis_SIZEOF	rs.b	0
DI_AVAIL_NOCHIPS	EQU	1
DI_AVAIL_NOMONITOR	EQU	2
DI_AVAIL_NOTWITHGENLOCK	EQU	4
DIPF_IS_LACE	EQU	1
DIPF_IS_DUALPF	EQU	2
DIPF_IS_PF2PRI	EQU	4
DIPF_IS_HAM	EQU	8
DIPF_IS_ECS	EQU	$10
DIPF_IS_PAL	EQU	$20
DIPF_IS_SPRITES	EQU	$40
DIPF_IS_GENLOCK	EQU	$80
DIPF_IS_WB	EQU	$100
DIPF_IS_DRAGGABLE	EQU	$200
DIPF_IS_PANELLED	EQU	$400
DIPF_IS_BEAMSYNC	EQU	$800
DIPF_IS_EXTRAHALFBRITE	EQU	$1000
	RSRESET
DimensionInfo	rs.b	qh_SIZEOF
dim_MaxDepth	rs	1
dim_MinRasterWidth	rs	1
dim_MinRasterHeight	rs	1
dim_MaxRasterWidth	rs	1
dim_MaxRasterHeight	rs	1
dim_Nominal	rs.b	ra_SIZEOF
dim_MaxOScan	rs.b	ra_SIZEOF
dim_VideoOScan	rs.b	ra_SIZEOF
dim_TxtOScan	rs.b	ra_SIZEOF
dim_StdOScan	rs.b	ra_SIZEOF
dim_pad	rs.b	14
dim_reserved	rs.b	8
dim_SIZEOF	rs.b	0
	RSRESET
MonitorInfo	rs.b	qh_SIZEOF
mtr_Mspc	rs	2
mtr_ViewPosition	rs.b	tpt_SIZEOF
mtr_ViewResolution	rs.b	tpt_SIZEOF
mtr_ViewPositionRange	rs.b	ra_SIZEOF
mtr_TotalRows	rs	1
mtr_TotalColorClocks	rs	1
mtr_MinRow	rs	1
mtr_Compatibility	rs	1
mtr_pad	rs.b	36
mtr_DefaultViewPosition	rs.b	tpt_SIZEOF
mtr_PreferredModeID	rs	2
mtr_reserved	rs.b	8
mtr_SIZEOF	rs.b	0
MCOMPAT_MIXED	EQU	0
MCOMPAT_SELF	EQU	1
MCOMPAT_NOBODY	EQU	-1
DISPLAYNAMELEN	EQU	32
	RSRESET
NameInfo	rs.b	qh_SIZEOF
nif_Name	rs.b	DISPLAYNAMELEN
nif_reserved	rs.b	8
nif_SIZEOF	rs.b	0
INVALID_ID	EQU	-1
MONITOR_ID_MASK	EQU	$FFFF1000
DEFAULT_MONITOR_ID	EQU	0
NTSC_MONITOR_ID	EQU	$11000
PAL_MONITOR_ID	EQU	$21000
LORES_KEY	EQU	0
HIRES_KEY	EQU	$8000
SUPER_KEY	EQU	$8020
HAM_KEY	EQU	$800
LORESLACE_KEY	EQU	4
HIRESLACE_KEY	EQU	$8004
SUPERLACE_KEY	EQU	$8024
HAMLACE_KEY	EQU	$804
LORESDPF_KEY	EQU	$400
HIRESDPF_KEY	EQU	$8400
SUPERDPF_KEY	EQU	$8420
LORESLACEDPF_KEY	EQU	$404
HIRESLACEDPF_KEY	EQU	$8404
SUPERLACEDPF_KEY	EQU	$8424
LORESDPF2_KEY	EQU	$440
HIRESDPF2_KEY	EQU	$8440
SUPERDPF2_KEY	EQU	$8460
LORESLACEDPF2_KEY	EQU	$444
HIRESLACEDPF2_KEY	EQU	$8444
SUPERLACEDPF2_KEY	EQU	$8464
EXTRAHALFBRITE_KEY	EQU	$80
EXTRAHALFBRITELACE_KEY	EQU	$84
VGA_MONITOR_ID	EQU	$31000
VGAEXTRALORES_KEY	EQU	$31004
VGALORES_KEY	EQU	$39004
VGAPRODUCT_KEY	EQU	$39024
VGAHAM_KEY	EQU	$31804
VGAEXTRALORESLACE_KEY	EQU	$31005
VGALORESLACE_KEY	EQU	$39005
VGAPRODUCTLACE_KEY	EQU	$39025
VGAHAMLACE_KEY	EQU	$31805
VGAEXTRALORESDPF_KEY	EQU	$31404
VGALORESDPF_KEY	EQU	$39404
VGAPRODUCTDPF_KEY	EQU	$39424
VGAEXTRALORESLACEDPF_KEY	EQU	$31405
VGALORESLACEDPF_KEY	EQU	$39405
VGAPRODUCTLACEDPF_KEY	EQU	$39425
VGAEXTRALORESDPF2_KEY	EQU	$31444
VGALORESDPF2_KEY	EQU	$39444
VGAPRODUCTDPF2_KEY	EQU	$39464
VGAEXTRALORESLACEDPF2_KEY	EQU	$31445
VGALORESLACEDPF2_KEY	EQU	$39445
VGAPRODUCTLACEDPF2_KEY	EQU	$39465
VGAEXTRAHALFBRITE_KEY	EQU	$31084
VGAEXTRAHALFBRITELACE_KEY	EQU	$31085
A2024_MONITOR_ID	EQU	$41000
A2024TENHERTZ_KEY	EQU	$41000
A2024FIFTEENHERTZ_KEY	EQU	$49000
PROTO_MONITOR_ID	EQU	$51000
	ENDC
