	IFND	GRAPHICS_VIEW_I
GRAPHICS_VIEW_I	EQU	1
*	$Filename: graphics/view.i $
*	$Release: 2.04 Includes, V37.4 $
*	$Revision: 37.0 $
*	$Date: 91/01/07 $
*	graphics view/viewport definitions
*	(C) Copyright 1985-1991 Commodore-Amiga, Inc.
*	    All Rights Reserved
*	This file was modified for the Optimizing Macro Assembler:
*	    collTable was wrong, it's really 16 pointers.  Also defines
*	    ECS_SPECIFIC.
ECS_SPECIFIC	EQU	1
	IFND	EXEC_TYPES_I
	include	'exec/types.i'
	ENDC
	IFND	GRAPHICS_GFX_I
	include	'graphics/gfx.i'
	ENDC
	IFND	GRAPHICS_COPPER_I
	include	'graphics/copper.i'
	ENDC
	IFND	GRAPHICS_GFXNODES_I
	include	'graphics/gfxnodes.i'
	ENDC
GENLOCK_VIDEO	EQU	2
V_LACE	EQU	4
V_SUPERHIRES	EQU	$20
V_PFBA	EQU	$40
V_EXTRA_HALFBRITE	EQU	$80
GENLOCK_AUDIO	EQU	$100
V_DUALPF	EQU	$400
V_HAM	EQU	$800
V_EXTENDED_MODE	EQU	$1000
V_VP_HIDE	EQU	$2000
V_SPRITES	EQU	$4000
V_HIRES	EQU	$8000
EXTEND_VSTRUCT	EQU	$1000
VPF_DENISE	EQU	$80
VPF_A2024	EQU	$40
VPF_AGNUS	EQU	$20
VPF_TENHZ	EQU	$20
VPF_ILACE	EQU	$10
	RSRESET
ColorMap	rs.b	0
cm_Flags	rs.b	1
cm_Type	rs.b	1
cm_Count	rs	1
cm_ColorTable	rs	2
cm_vpe	rs	2
cm_TransparencyBits	rs	2
cm_TransparenyPlane	rs.b	1
cm_reserved1	rs.b	1
cm_reserved2	rs	1
cm_vp	rs	2
cm_NormalDisplayInfo	rs	2
cm_CoerceDisplayInfo	rs	2
cm_batch_items	rs	2
cm_VPModeID	rs	2
cm_SIZEOF	rs.b	0
COLORMAP_TYPE_V1_2	EQU	0
COLORMAP_TYPE_V1_4	EQU	1
COLORMAP_TYPE_V36	EQU	COLORMAP_TYPE_V1_4
COLORMAP_TRANSPARENCY	EQU	1
COLORPLANE_TRANSPARENCY	EQU	2
BORDER_BLANKING	EQU	4
BORDER_NOTRANSPARENCY	EQU	8
VIDEOCONTROL_BATCH	EQU	$10
USER_COPPER_CLIP	EQU	$20
	RSRESET
ViewPort	rs.b	0
vp_Next	rs	2
vp_ColorMap	rs	2
vp_DspIns	rs	2
vp_SprIns	rs	2
vp_ClrIns	rs	2
vp_UCopIns	rs	2
vp_DWidth	rs	1
vp_DHeight	rs	1
vp_DxOffset	rs	1
vp_DyOffset	rs	1
vp_Modes	rs	1
vp_SpritePriorities	rs.b	1
vp_ExtendedModes	rs.b	1
vp_RasInfo	rs	2
vp_SIZEOF	rs.b	0
	RSRESET
View	rs.b	0
v_ViewPort	rs	2
v_LOFCprList	rs	2
v_SHFCprList	rs	2
v_DyOffset	rs	1
v_DxOffset	rs	1
v_Modes	rs	1
v_SIZEOF	rs.b	0
	RSRESET
ViewExtra	rs.b	XLN_SIZE
ve_View	rs	2
ve_Monitor	rs	2
ve_SIZEOF	rs.b	0
	RSRESET
ViewPortExtra	rs.b	XLN_SIZE
vpe_ViewPort	rs	2
vpe_DisplayClip	rs.b	ra_SIZEOF
vpe_SIZEOF	rs.b	0
	RSRESET
collTable	rs.b	0
cp_collPtrs	rs.b	64
cp_SIZEOF	rs.b	0
	RSRESET
RasInfo	rs.b	0
ri_Next	rs	2
ri_BitMap	rs	2
ri_RxOffset	rs	1
ri_RyOffset	rs	1
ri_SIZEOF	rs.b	0
	ENDC
