	IFND	INTUITION_GADGETCLASS_I
INTUITION_GADGETCLASS_I	EQU	1
*	$Filename: intuition/gadgetclass.i $
*	$Release: 2.04 Includes, V37.4 $
*	$Revision: 36.10 $
*	$Date: 91/11/08 $
*	Custom and 'boopsi' gadget class interface
*	(C) Copyright 1989-1991 Commodore-Amiga, Inc.
*	    All Rights Reserved
*	This file was modified for the Optimizing Macro Assembler:
*	    Removed inclusion of intuition/intuition.i in order to prevent
*	    illegal forward references.
	IFND	EXEC_TYPES_I
	INCLUDE	"exec/types.i"
	ENDC
	IFND	UTILITY_TAGITEM_I
	INCLUDE	"utility/tagitem.i"
	ENDC
GA_Dummy	EQU	TAG_USER+$30000
GA_Left	EQU	GA_Dummy+$0001
GA_RelRight	EQU	GA_Dummy+$0002
GA_Top	EQU	GA_Dummy+$0003
GA_RelBottom	EQU	GA_Dummy+$0004
GA_Width	EQU	GA_Dummy+$0005
GA_RelWidth	EQU	GA_Dummy+$0006
GA_Height	EQU	GA_Dummy+$0007
GA_RelHeight	EQU	GA_Dummy+$0008
GA_Text	EQU	GA_Dummy+$0009
GA_Image	EQU	GA_Dummy+$000A
GA_Border	EQU	GA_Dummy+$000B
GA_SelectRender	EQU	GA_Dummy+$000C
GA_Highlight	EQU	GA_Dummy+$000D
GA_Disabled	EQU	GA_Dummy+$000E
GA_GZZGadget	EQU	GA_Dummy+$000F
GA_ID	EQU	GA_Dummy+$0010
GA_UserData	EQU	GA_Dummy+$0011
GA_SpecialInfo	EQU	GA_Dummy+$0012
GA_Selected	EQU	GA_Dummy+$0013
GA_EndGadget	EQU	GA_Dummy+$0014
GA_Immediate	EQU	GA_Dummy+$0015
GA_RelVerify	EQU	GA_Dummy+$0016
GA_FollowMouse	EQU	GA_Dummy+$0017
GA_RightBorder	EQU	GA_Dummy+$0018
GA_LeftBorder	EQU	GA_Dummy+$0019
GA_TopBorder	EQU	GA_Dummy+$001A
GA_BottomBorder	EQU	GA_Dummy+$001B
GA_ToggleSelect	EQU	GA_Dummy+$001C
GA_SysGadget	EQU	GA_Dummy+$001D
GA_SysGType	EQU	GA_Dummy+$001E
GA_Previous	EQU	GA_Dummy+$001F
GA_Next	EQU	GA_Dummy+$0020
GA_DrawInfo	EQU	GA_Dummy+$0021
GA_IntuiText	EQU	GA_Dummy+$0022
GA_LabelImage	EQU	GA_Dummy+$0023
GA_TabCycle	EQU	GA_Dummy+$0024
PGA_Dummy	EQU	TAG_USER+$31000
PGA_Freedom	EQU	PGA_Dummy+$0001
PGA_Borderless	EQU	PGA_Dummy+$0002
PGA_HorizPot	EQU	PGA_Dummy+$0003
PGA_HorizBody	EQU	PGA_Dummy+$0004
PGA_VertPot	EQU	PGA_Dummy+$0005
PGA_VertBody	EQU	PGA_Dummy+$0006
PGA_Total	EQU	PGA_Dummy+$0007
PGA_Visible	EQU	PGA_Dummy+$0008
PGA_Top	EQU	PGA_Dummy+$0009
PGA_NewLook	EQU	PGA_Dummy+$000A
STRINGA_Dummy	EQU	TAG_USER+$32000
STRINGA_MaxChars	EQU	STRINGA_Dummy+$0001
STRINGA_Buffer	EQU	STRINGA_Dummy+$0002
STRINGA_UndoBuffer	EQU	STRINGA_Dummy+$0003
STRINGA_WorkBuffer	EQU	STRINGA_Dummy+$0004
STRINGA_BufferPos	EQU	STRINGA_Dummy+$0005
STRINGA_DispPos	EQU	STRINGA_Dummy+$0006
STRINGA_AltKeyMap	EQU	STRINGA_Dummy+$0007
STRINGA_Font	EQU	STRINGA_Dummy+$0008
STRINGA_Pens	EQU	STRINGA_Dummy+$0009
STRINGA_ActivePens	EQU	STRINGA_Dummy+$000A
STRINGA_EditHook	EQU	STRINGA_Dummy+$000B
STRINGA_EditModes	EQU	STRINGA_Dummy+$000C
STRINGA_ReplaceMode	EQU	STRINGA_Dummy+$000D
STRINGA_FixedFieldMode	EQU	STRINGA_Dummy+$000E
STRINGA_NoFilterMode	EQU	STRINGA_Dummy+$000F
STRINGA_Justification	EQU	STRINGA_Dummy+$0010
STRINGA_LongVal	EQU	STRINGA_Dummy+$0011
STRINGA_TextVal	EQU	STRINGA_Dummy+$0012
STRINGA_ExitHelp	EQU	STRINGA_Dummy+$0013
SG_DEFAULTMAXCHARS	EQU	128
LAYOUTA_Dummy	EQU	TAG_USER+$38000
LAYOUTA_LayoutObj	EQU	LAYOUTA_Dummy+$0001
LAYOUTA_Spacing	EQU	LAYOUTA_Dummy+$0002
LAYOUTA_Orientation	EQU	LAYOUTA_Dummy+$0003
LORIENT_NONE	EQU	0
LORIENT_HORIZ	EQU	1
LORIENT_VERT	EQU	2
GM_HITTEST	EQU	0
GM_RENDER	EQU	1
GM_GOACTIVE	EQU	2
GM_HANDLEINPUT	EQU	3
GM_GOINACTIVE	EQU	4
	RSRESET
MsgHeader	rs.b	0
MethodID	rs	2
methodid_SIZEOF	rs.b	0
	RSRESET
gpHitTest	rs.b	methodid_SIZEOF
gpht_GInfo	rs	2
gpht_MouseX	rs	1
gpht_MouseY	rs	1
GMR_GADGETHIT	EQU	4
	RSRESET
gpRender	rs.b	methodid_SIZEOF
gpr_GInfo	rs	2
gpr_RPort	rs	2
gpr_Redraw	rs	2
GREDRAW_UPDATE	EQU	2
GREDRAW_REDRAW	EQU	1
GREDRAW_TOGGLE	EQU	0
	RSRESET
gpInput	rs.b	methodid_SIZEOF
gpi_GInfo	rs	2
gpi_IEvent	rs	2
gpi_Termination	rs	2
gpi_MouseX	rs	1
gpi_MouseY	rs	1
GMR_MEACTIVE	EQU	0
GMR_NOREUSE	EQU	2
GMR_REUSE	EQU	4
GMR_VERIFY	EQU	8
GMR_NEXTACTIVE	EQU	$10
GMR_PREVACTIVE	EQU	$20
GMRB_NOREUSE	EQU	1
GMRB_REUSE	EQU	2
GMRB_VERIFY	EQU	3
GMRB_NEXTACTIVE	EQU	4
GMRB_PREVACTIVE	EQU	5
GMRF_NOREUSE	EQU	2
GMRF_REUSE	EQU	4
GMRF_VERIFY	EQU	8
GMRF_NEXTACTIVE	EQU	$10
GMRF_PREVACTIVE	EQU	$20
	RSRESET
gpGoInactive	rs.b	methodid_SIZEOF
gpgi_GInfo	rs	2
gpgi_Abort	rs	2
	IFND	INTUITION_IOBSOLETE_I
	INCLUDE	"intuition/iobsolete.i"
	ENDC
	ENDC
