	IFND	INTUITION_PREFERENCES_I
INTUITION_PREFERENCES_I	EQU	1
*	$Filename: intuition/preferences.i $
*	$Release: 2.04 Includes, V37.4 $
*	$Revision: 36.6 $
*	$Date: 91/03/13 $
*	Structure definition for old-style preferences
*	(C) Copyright 1985-1991 Commodore-Amiga, Inc.
*	    All Rights Reserved
*	This file was modified for the Optimizing Macro Assembler:
*	    SCREEN_DRAG, MOUSE_ACCEL were missing and have been added.
	IFND	EXEC_TYPES_I
	INCLUDE	"exec/types.i"
	ENDC
	IFND	DEVICES_TIMER_I
	INCLUDE	"devices/timer.i"
	ENDC
FILENAME_SIZE	EQU	30
POINTERSIZE	EQU	(1+16+1)*2
TOPAZ_EIGHTY	EQU	8
TOPAZ_SIXTY	EQU	9
	RSRESET
Preferences	rs.b	0
pf_FontHeight	rs.b	1
pf_PrinterPort	rs.b	1
pf_BaudRate	rs	1
pf_KeyRptSpeed	rs.b	TV_SIZE
pf_KeyRptDelay	rs.b	TV_SIZE
pf_DoubleClick	rs.b	TV_SIZE
pf_PointerMatrix	rs.b	POINTERSIZE*2
pf_XOffset	rs.b	1
pf_YOffset	rs.b	1
pf_color17	rs	1
pf_color18	rs	1
pf_color19	rs	1
pf_PointerTicks	rs	1
pf_color0	rs	1
pf_color1	rs	1
pf_color2	rs	1
pf_color3	rs	1
pf_ViewXOffset	rs.b	1
pf_ViewYOffset	rs.b	1
pf_ViewInitX	rs	1
pf_ViewInitY	rs	1
EnableCLI	rs	1
pf_PrinterType	rs	1
pf_PrinterFilename	rs.b	FILENAME_SIZE
pf_PrintPitch	rs	1
pf_PrintQuality	rs	1
pf_PrintSpacing	rs	1
pf_PrintLeftMargin	rs	1
pf_PrintRightMargin	rs	1
pf_PrintImage	rs	1
pf_PrintAspect	rs	1
pf_PrintShade	rs	1
pf_PrintThreshold	rs	1
pf_PaperSize	rs	1
pf_PaperLength	rs	1
pf_PaperType	rs	1
pf_SerRWBits	rs.b	1
pf_SerStopBuf	rs.b	1
pf_SerParShk	rs.b	1
pf_LaceWB	rs.b	1
pf_WorkName	rs.b	FILENAME_SIZE
pf_RowSizeChange	rs.b	1
pf_ColumnSizeChange	rs.b	1
pf_PrintFlags	rs	1
pf_PrintMaxWidth	rs	1
pf_PrintMaxHeight	rs	1
pf_PrintDensity	rs.b	1
pf_PrintXOffset	rs.b	1
pf_wb_Width	rs	1
pf_wb_Height	rs	1
pf_wb_Depth	rs.b	1
pf_ext_size	rs.b	1
pf_SIZEOF	rs.b	0
LACEWB	EQU	1
SCREEN_DRAG	EQU	$4000
MOUSE_ACCEL	EQU	$8000
PARALLEL_PRINTER	EQU	0
SERIAL_PRINTER	EQU	1
BAUD_110	EQU	0
BAUD_300	EQU	1
BAUD_1200	EQU	2
BAUD_2400	EQU	3
BAUD_4800	EQU	4
BAUD_9600	EQU	5
BAUD_19200	EQU	6
BAUD_MIDI	EQU	7
FANFOLD	EQU	0
SINGLE	EQU	$80
PICA	EQU	0
ELITE	EQU	$400
FINE	EQU	$800
DRAFT	EQU	0
LETTER	EQU	$100
SIX_LPI	EQU	0
EIGHT_LPI	EQU	$200
IMAGE_POSITIVE	EQU	0
IMAGE_NEGATIVE	EQU	1
ASPECT_HORIZ	EQU	0
ASPECT_VERT	EQU	1
SHADE_BW	EQU	0
SHADE_GREYSCALE	EQU	1
SHADE_COLOR	EQU	2
US_LETTER	EQU	0
US_LEGAL	EQU	$10
N_TRACTOR	EQU	$20
W_TRACTOR	EQU	$30
CUSTOM	EQU	$40
EURO_A0	EQU	$50
EURO_A1	EQU	$60
EURO_A2	EQU	$70
EURO_A3	EQU	$80
EURO_A4	EQU	$90
EURO_A5	EQU	$A0
EURO_A6	EQU	$B0
EURO_A7	EQU	$C0
EURO_A8	EQU	$D0
CUSTOM_NAME	EQU	0
ALPHA_P_101	EQU	1
BROTHER_15XL	EQU	2
CBM_MPS1000	EQU	3
DIAB_630	EQU	4
DIAB_ADV_D25	EQU	5
DIAB_C_150	EQU	6
EPSON	EQU	7
EPSON_JX_80	EQU	8
OKIMATE_20	EQU	9
QUME_LP_20	EQU	$A
HP_LASERJET	EQU	$B
HP_LASERJET_PLUS	EQU	$C
SBUF_512	EQU	0
SBUF_1024	EQU	1
SBUF_2048	EQU	2
SBUF_4096	EQU	3
SBUF_8000	EQU	4
SBUF_16000	EQU	5
SREAD_BITS	EQU	$F0
SWRITE_BITS	EQU	$F
SSTOP_BITS	EQU	$F0
SBUFSIZE_BITS	EQU	$F
SPARITY_BITS	EQU	$F0
SHSHAKE_BITS	EQU	$F
SPARITY_NONE	EQU	0
SPARITY_EVEN	EQU	1
SPARITY_ODD	EQU	2
SPARITY_MARK	EQU	3
SPARITY_SPACE	EQU	4
SHSHAKE_XON	EQU	0
SHSHAKE_RTS	EQU	1
SHSHAKE_NONE	EQU	2
CORRECT_RED	EQU	1
CORRECT_GREEN	EQU	2
CORRECT_BLUE	EQU	4
CENTER_IMAGE	EQU	8
IGNORE_DIMENSIONS	EQU	0
BOUNDED_DIMENSIONS	EQU	$10
ABSOLUTE_DIMENSIONS	EQU	$20
PIXEL_DIMENSIONS	EQU	$40
MULTIPLY_DIMENSIONS	EQU	$80
INTEGER_SCALING	EQU	$100
ORDERED_DITHERING	EQU	0
HALFTONE_DITHERING	EQU	$200
FLOYD_DITHERING	EQU	$400
ANTI_ALIAS	EQU	$800
GREY_SCALE2	EQU	$1000
CORRECT_RGB_MASK	EQU	CORRECT_RED+CORRECT_GREEN+CORRECT_BLUE
DIMENSIONS_MASK	EQU	BOUNDED_DIMENSIONS+ABSOLUTE_DIMENSIONS+PIXEL_DIMENSIONS+MULTIPLY_DIMENSIONS
DITHERING_MASK	EQU	HALFTONE_DITHERING+FLOYD_DITHERING
	ENDC
