	IFND	INTUITION_SCREENS_I
INTUITION_SCREENS_I	EQU	1
*	$Filename: intuition/screens.i $
*	$Release: 2.04 Includes, V37.4 $
*	$Revision: 36.18 $
*	$Date: 91/10/07 $
*	The Screen and NewScreen structures and attributes
*	(C) Copyright 1985-1991 Commodore-Amiga, Inc.
*	    All Rights Reserved
	IFND	EXEC_TYPES_I
	INCLUDE	"exec/types.i"
	ENDC
	IFND	GRAPHICS_GFX_I
	INCLUDE	"graphics/gfx.i"
	ENDC
	IFND	GRAPHICS_CLIP_I
	INCLUDE	"graphics/clip.i"
	ENDC
	IFND	GRAPHICS_VIEW_I
	INCLUDE	"graphics/view.i"
	ENDC
	IFND	GRAPHICS_RASTPORT_I
	INCLUDE	"graphics/rastport.i"
	ENDC
	IFND	GRAPHICS_LAYERS_I
	INCLUDE	"graphics/layers.i"
	ENDC
	IFND	UTILITY_TAGITEM_I
	INCLUDE	"utility/tagitem.i"
	ENDC
DRI_VERSION	EQU	1
	RSRESET
DrawInfo	rs.b	0
dri_Version	rs	1
dri_NumPens	rs	1
dri_Pens	rs	2
dri_Font	rs	2
dri_Depth	rs	1
dri_ResolutionX	rs	1
dri_ResolutionY	rs	1
dri_Flags	rs	2
dri_longreserved	rs.b	28
DRIF_NEWLOOK	EQU	1
DRIB_NEWLOOK	EQU	0
	ENUM
	EITEM	DETAILPEN
	EITEM	BLOCKPEN
	EITEM	TEXTPEN
	EITEM	SHINEPEN
	EITEM	SHADOWPEN
	EITEM	FILLPEN
	EITEM	FILLTEXTPEN
	EITEM	BACKGROUNDPEN
	EITEM	HIGHLIGHTTEXTPEN
	EITEM	NUMDRIPENS
	RSRESET
Screen	rs.b	0
sc_NextScreen	rs	2
sc_FirstWindow	rs	2
sc_LeftEdge	rs	1
sc_TopEdge	rs	1
sc_Width	rs	1
sc_Height	rs	1
sc_MouseY	rs	1
sc_MouseX	rs	1
sc_Flags	rs	1
sc_Title	rs	2
sc_DefaultTitle	rs	2
sc_BarHeight	rs.b	1
sc_BarVBorder	rs.b	1
sc_BarHBorder	rs.b	1
sc_MenuVBorder	rs.b	1
sc_MenuHBorder	rs.b	1
sc_WBorTop	rs.b	1
sc_WBorLeft	rs.b	1
sc_WBorRight	rs.b	1
sc_WBorBottom	rs.b	1
sc_KludgeFill00	rs.b	1
sc_Font	rs	2
sc_ViewPort	rs.b	vp_SIZEOF
sc_RastPort	rs.b	rp_SIZEOF
sc_BitMap	rs.b	bm_SIZEOF
sc_LayerInfo	rs.b	li_SIZEOF
sc_FirstGadget	rs	2
sc_DetailPen	rs.b	1
sc_BlockPen	rs.b	1
sc_SaveColor0	rs	1
sc_BarLayer	rs	2
sc_ExtData	rs	2
sc_UserData	rs	2
sc_SIZEOF	rs.b	0
SCREENTYPE	EQU	$F
WBENCHSCREEN	EQU	1
PUBLICSCREEN	EQU	2
CUSTOMSCREEN	EQU	$F
SHOWTITLE	EQU	$10
BEEPING	EQU	$20
CUSTOMBITMAP	EQU	$40
SCREENBEHIND	EQU	$80
SCREENQUIET	EQU	$100
SCREENHIRES	EQU	$200
STDSCREENHEIGHT	EQU	-1
STDSCREENWIDTH	EQU	-1
NS_EXTENDED	EQU	$1000
AUTOSCROLL	EQU	$4000
	ENUM	TAG_USER+33
	EITEM	SA_Left
	EITEM	SA_Top
	EITEM	SA_Width
	EITEM	SA_Height
	EITEM	SA_Depth
	EITEM	SA_DetailPen
	EITEM	SA_BlockPen
	EITEM	SA_Title
	EITEM	SA_Colors
	EITEM	SA_ErrorCode
	EITEM	SA_Font
	EITEM	SA_SysFont
	EITEM	SA_Type
	EITEM	SA_BitMap
	EITEM	SA_PubName
	EITEM	SA_PubSig
	EITEM	SA_PubTask
	EITEM	SA_DisplayID
	EITEM	SA_DClip
	EITEM	SA_Overscan
	EITEM	SA_Obsolete1
	EITEM	SA_ShowTitle
	EITEM	SA_Behind
	EITEM	SA_Quiet
	EITEM	SA_AutoScroll
	EITEM	SA_Pens
	EITEM	SA_FullPalette
OSERR_NOMONITOR	EQU	1
OSERR_NOCHIPS	EQU	2
OSERR_NOMEM	EQU	3
OSERR_NOCHIPMEM	EQU	4
OSERR_PUBNOTUNIQUE	EQU	5
OSERR_UNKNOWNMODE	EQU	6
	RSRESET
NewScreen	rs.b	0
ns_LeftEdge	rs	1
ns_TopEdge	rs	1
ns_Width	rs	1
ns_Height	rs	1
ns_Depth	rs	1
ns_DetailPen	rs.b	1
ns_BlockPen	rs.b	1
ns_ViewModes	rs	1
ns_Type	rs	1
ns_Font	rs	2
ns_DefaultTitle	rs	2
ns_Gadgets	rs	2
ns_CustomBitMap	rs	2
ns_SIZEOF	rs.b	0
	RSRESET
ExtNewScreen	rs.b	ns_SIZEOF
ens_Extension	rs	2
ens_SIZEOF	rs.b	0
OSCAN_TEXT	EQU	1
OSCAN_STANDARD	EQU	2
OSCAN_MAX	EQU	3
OSCAN_VIDEO	EQU	4
	RSRESET
PubScreenNode	rs.b	LN_SIZE
psn_Screen	rs	2
psn_Flags	rs	1
psn_Size	rs	1
psn_VisitorCount	rs	1
psn_SigTask	rs	2
psn_SigBit	rs.b	1
psn_Pad1	rs.b	1
psn_SIZEOF	rs.b	0
PSNF_PRIVATE	EQU	1
MAXPUBSCREENNAME	EQU	139
SHANGHAI	EQU	1
POPPUBSCREEN	EQU	2
	IFND	INTUITION_IOBSOLETE_I
	INCLUDE	"intuition/iobsolete.i"
	ENDC
	ENDC
