	IFND	REXX_RXSLIB_I
REXX_RXSLIB_I	EQU	1
*	$Filename: rexx/rxslib.i $
*	$Release: 2.04 Includes, V37.4 $
*	$Revision: 1.15 $
*	$Date: 91/11/08 $
*	Include file for the REXX Systems Library
*	(C) Copyright 1986,1987,1988,1989,1990 William S. Hawes.
*	(C) Copyright 1990-1991 Commodore-Amiga, Inc.
*		All Rights Reserved
	IFND	REXX_STORAGE_I
	INCLUDE	"rexx/storage.i"
	ENDC
RXSLIBNAME	MACRO
	dc.b	'rexxsyslib.library',0
	ENDM
RXSDIR	MACRO
	dc.b	'REXX',0
	ENDM
RXSTNAME	MACRO
	dc.b	'ARexx',0
	ENDM
	RSRESET
RxsLib	rs.b	LIB_SIZE
rl_Flags	rs.b	1
rl_Shadow	rs.b	1
rl_SysBase	rs	2
rl_DOSBase	rs	2
rl_IeeeDPBase	rs	2
rl_SegList	rs	2
rl_NIL	rs	2
rl_Chunk	rs	2
rl_MaxNest	rs	2
rl_NULL	rs	2
rl_FALSE	rs	2
rl_TRUE	rs	2
rl_REXX	rs	2
rl_COMMAND	rs	2
rl_STDIN	rs	2
rl_STDOUT	rs	2
rl_STDERR	rs	2
rl_Version	rs	2
rl_TaskName	rs	2
rl_TaskPri	rs	2
rl_TaskSeg	rs	2
rl_StackSize	rs	2
rl_RexxDir	rs	2
rl_CTABLE	rs	2
rl_Notice	rs	2
rl_RexxPort	rs.b	MP_SIZE
rl_ReadLock	rs	1
rl_TraceFH	rs	2
rl_TaskList	rs.b	LH_SIZE
rl_NumTask	rs	1
rl_LibList	rs.b	LH_SIZE
rl_NumLib	rs	1
rl_ClipList	rs.b	LH_SIZE
rl_NumClip	rs	1
rl_MsgList	rs.b	LH_SIZE
rl_NumMsg	rs	1
rl_PgmList	rs.b	LH_SIZE
rl_NumPgm	rs	1
rl_TraceCnt	rs	1
rl_avail	rs	1
rl_SIZEOF	rs.b	0
RLFB_TRACE	EQU	RTFB_TRACE
RLFB_HALT	EQU	RTFB_HALT
RLFB_SUSP	EQU	RTFB_SUSP
RLFB_STOP	EQU	6
RLFB_CLOSE	EQU	7
RLFMASK	EQU	1<<RLFB_TRACE!1<<RLFB_HALT!1<<RLFB_SUSP
RXSCHUNK	EQU	1024
RXSNEST	EQU	32
RXSTPRI	EQU	0
RXSSTACK	EQU	4096
	LIBINIT
	LIBDEF	_LVORexx
	LIBDEF	_LVOrxParse
	LIBDEF	_LVOrxInstruct
	LIBDEF	_LVOrxSuspend
	LIBDEF	_LVOEvalOp
	LIBDEF	_LVOAssignValue
	LIBDEF	_LVOEnterSymbol
	LIBDEF	_LVOFetchValue
	LIBDEF	_LVOLookUpValue
	LIBDEF	_LVOSetValue
	LIBDEF	_LVOSymExpand
	LIBDEF	_LVOErrorMsg
	LIBDEF	_LVOIsSymbol
	LIBDEF	_LVOCurrentEnv
	LIBDEF	_LVOGetSpace
	LIBDEF	_LVOFreeSpace
	LIBDEF	_LVOCreateArgstring
	LIBDEF	_LVODeleteArgstring
	LIBDEF	_LVOLengthArgstring
	LIBDEF	_LVOCreateRexxMsg
	LIBDEF	_LVODeleteRexxMsg
	LIBDEF	_LVOClearRexxMsg
	LIBDEF	_LVOFillRexxMsg
	LIBDEF	_LVOIsRexxMsg
	LIBDEF	_LVOAddRsrcNode
	LIBDEF	_LVOFindRsrcNode
	LIBDEF	_LVORemRsrcList
	LIBDEF	_LVORemRsrcNode
	LIBDEF	_LVOOpenPublicPort
	LIBDEF	_LVOClosePublicPort
	LIBDEF	_LVOListNames
	LIBDEF	_LVOClearMem
	LIBDEF	_LVOInitList
	LIBDEF	_LVOInitPort
	LIBDEF	_LVOFreePort
	LIBDEF	_LVOCmpString
	LIBDEF	_LVOStcToken
	LIBDEF	_LVOStrcmpN
	LIBDEF	_LVOStrcmpU
	LIBDEF	_LVOStrcpyA
	LIBDEF	_LVOStrcpyN
	LIBDEF	_LVOStrcpyU
	LIBDEF	_LVOStrflipN
	LIBDEF	_LVOStrlen
	LIBDEF	_LVOToUpper
	LIBDEF	_LVOCVa2i
	LIBDEF	_LVOCVi2a
	LIBDEF	_LVOCVi2arg
	LIBDEF	_LVOCVi2az
	LIBDEF	_LVOCVc2x
	LIBDEF	_LVOCVx2c
	LIBDEF	_LVOOpenF
	LIBDEF	_LVOCloseF
	LIBDEF	_LVOReadStr
	LIBDEF	_LVOReadF
	LIBDEF	_LVOWriteF
	LIBDEF	_LVOSeekF
	LIBDEF	_LVOQueueF
	LIBDEF	_LVOStackF
	LIBDEF	_LVOExistF
	LIBDEF	_LVODOSCommand
	LIBDEF	_LVODOSRead
	LIBDEF	_LVODOSWrite
	LIBDEF	_LVOCreateDOSPkt
	LIBDEF	_LVODeleteDOSPkt
	LIBDEF	_LVOSendDOSPkt
	LIBDEF	_LVOWaitDOSPkt
	LIBDEF	_LVOFindDevice
	LIBDEF	_LVOAddClipNode
	LIBDEF	_LVORemClipNode
	LIBDEF	_LVOLockRexxBase
	LIBDEF	_LVOUnlockRexxBase
	LIBDEF	_LVOCreateCLI
	LIBDEF	_LVODeleteCLI
	LIBDEF	_LVOCVs2i
CTB_SPACE	EQU	0
CTB_DIGIT	EQU	1
CTB_ALPHA	EQU	2
CTB_REXXSYM	EQU	3
CTB_REXXOPR	EQU	4
CTB_REXXSPC	EQU	5
CTB_UPPER	EQU	6
CTB_LOWER	EQU	7
CTF_SPACE	EQU	1<<CTB_SPACE
CTF_DIGIT	EQU	1<<CTB_DIGIT
CTF_ALPHA	EQU	1<<CTB_ALPHA
CTF_REXXSYM	EQU	1<<CTB_REXXSYM
CTF_REXXOPR	EQU	1<<CTB_REXXOPR
CTF_REXXSPC	EQU	1<<CTB_REXXSPC
CTF_UPPER	EQU	1<<CTB_UPPER
CTF_LOWER	EQU	1<<CTB_LOWER
	ENDC
